Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
CallNode Struct Reference

`#include <regparse.h>`

## Data Fields
NodeBase | base
int | state
int | group_num
UChar * | name
UChar * | name_end
struct _Node * | target
UnsetAddrList * | unset_addr_list

## Detailed Description

Definition at line 220 of file regparse.h.

## Field Documentation

NodeBase CallNode::base

Definition at line 221 of file regparse.h.

int CallNode::group_num

Definition at line 223 of file regparse.h.

Referenced by setup_subexp_call().

UChar* CallNode::name

Definition at line 224 of file regparse.h.

Referenced by setup_subexp_call().

UChar* CallNode::name_end

Definition at line 225 of file regparse.h.

Referenced by setup_subexp_call().

int CallNode::state

Definition at line 222 of file regparse.h.

struct _Node* CallNode::target

Definition at line 226 of file regparse.h.

Referenced by compile_call(), and setup_subexp_call().

UnsetAddrList* CallNode::unset_addr_list

Definition at line 227 of file regparse.h.

Referenced by compile_call(), and setup_subexp_call().

The documentation for this struct was generated from the following file:

- regparse.h